function [VMEAS tvec] = neur_get_recdata(md,filename)

out = neur_read(filename);
out.v = out.v;

% get the potentials for all the terminal branches

Nt = size(out.v,2);

for jj = 1:length(md.leaf)

    ii = md.leaf(jj);
    
    VMEAS(jj,:) = out.v(md.segh(ii),:).*(1+randn(1,Nt)/4e3);
    
end

% get the potentials for soma end

VMEAS(end+1,:) = out.v(md.count.L,:).*(1+randn(1,Nt)/4e3);

tvec = out.t;